%define majversion %(echo %version | cut -d. -f 1-2)

Name:          abiword
Version:       3.0.0
Release:       3mamba
Summary:       A free word processing program
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.abisource.com/
Source0:       http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.gz
Source1:       http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-docs-%{version}.tar.gz
#Source2:       http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-extras-%{version}.tar.gz
#Source3:       http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-plugins-%{version}.tar.gz
Source4:       abiword.mime
Patch0:        abiword-extras-2.6.0-build_datadir.patch
Patch1:        abiword-2.8.6-gcc-4.7.patch
Patch2:        abiword-2.8.6-libwpd-0.9.patch
Patch3:        abiword-2.8.6-libpng-1.5.patch
Patch4:        abiword-2.8.6-no-undefined.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libaiksaurus-devel
BuildRequires: libaspell-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcares-devel
BuildRequires: libcroco-devel
BuildRequires: libcurl-devel
BuildRequires: libdb51-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libenchant-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgsf-devel
BuildRequires: libgss-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libical-devel
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: liblink-grammar-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libmhash-devel
BuildRequires: libmpfr-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libraptor2-devel
BuildRequires: librasqal-devel
BuildRequires: librdf-devel
BuildRequires: librsvg-devel
BuildRequires: librtmp-devel
BuildRequires: libsasl-devel
BuildRequires: libselinux-devel
BuildRequires: libssh2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtidy-devel
BuildRequires: libuuid-devel
BuildRequires: libwmf-devel
BuildRequires: libwv-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libyajl-devel
BuildRequires: libz-devel
BuildRequires: telepathy-glib-devel
## AUTOBUILDREQ-END
BuildRequires: aspell-devel >= 0.60.2
BuildRequires: desktop-file-utils >= 0.10
BuildRequires: libots >= 0.4.2
BuildRequires: libaiksaurus >= 1.2.1
BuildRequires: valgrind-devel
BuildRequires: ImageMagick
BuildRequires: libboost-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
AbiWord is a free word processing program similar to Microsoft Word.
It is suitable for typing papers, letters, reports, memos, and so forth.

%package devel
Summary:       Development package for AbiWord
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
AbiWord is a free word processing program similar to Microsoft Word.
It is suitable for typing papers, letters, reports, memos, and so forth.

This package provides files needed for development.

%prep
%setup -q %{name}-%{version} -a1
#-D -T
# -a2 -a3
#cd abiword-extras-%{version}
#%patch0 -p1
#cd ..
#%patch1 -p1
#%patch2 -p0
#%patch3 -p1
#%patch4 -p1

%build
#:<< _EOF
autoreconf --force --install
%configure \
   --with-libxml2 \
   --enable-printing \
   --enable-gnomevfs \
   --enable-gnomeui \
   --enable-libabiword \
   --enable-shared \
   --without-evolution-data-server \
   --enable-plugins

# FIXME: enable-libabiword does not work with 2.6.0, check again with later releases
#   --enable-libabiword \
#   --enable-shared
_EOF
%make

#cd abiword-plugins-%{version}

#% configure \
#   --prefix=%{_datadir}/AbiSuite \
#   --enable-babelfish \
#   --enable-wikipedia \
#   --enable-freetranslation \
#   --enable-bz2abw \
#   --enable-gdkpixbuf \
#   --with-abiword=..
#% make ABIWORD=`pwd`/../src/wp/main/unix/abiword

#cd ../abiword-extras-%{version}
#./autogen.sh
#% configure --with-abiword=..
#%make ABIWORD=`pwd`/../src/wp/main/unix/abiword

#cd abiword-docs-%{version}
#% configure --with-abiword=..
#% make ABIWORD=`pwd`/../src/wp/main/unix/abiword

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall 
#% makeinstall -C abiword-plugins-%{version}
#% makeinstall -C abiword-extras-%{version}
#% makeinstall -C abiword-docs-%{version}

# install the mime files
install -D -m644 %{S:4} \
   %{buildroot}%{_datadir}/mime-info/%{name}.mime

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/abiword-%{majversion}
%{_datadir}/abiword-%{majversion}/*
%{_datadir}/applications/abiword.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.AbiCollab.service
%{_datadir}/telepathy/clients/AbiCollab.client
%{_datadir}/icons/*
%{_datadir}/mime-info/abiword.mime
#%{_datadir}/mime-info/abiword.keys
%{_libdir}/libabiword-%{majversion}.so
%{_libdir}/abiword-%{majversion}/plugins/*.so
%{_libdir}/abiword-%{majversion}/plugins/*.la
%{_mandir}/man1/abiword.1*

%files devel
%defattr(-,root,root)
%{_includedir}/abiword-%{majversion}/abiwidget.h
%{_includedir}/abiword-%{majversion}/libabiword.h
%{_includedir}/abiword-%{majversion}/xap_UnixTableWidget.h
#%{_libdir}/abiword-%{majversion}/plugins/opendocument.a
#%{_libdir}/libabiword-%{majversion}.a
%{_libdir}/libabiword-%{majversion}.la
%{_libdir}/pkgconfig/abiword-%{majversion}.pc

%changelog
* Sun Oct 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-3mamba
- rebuilt with updated libwps, libwpg, libwpd

* Mon May 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-2mamba
- rebuilt with --enable-plugins

* Sun Dec 01 2013 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.6-4mamba
- rebuilt with libwv 1.2.9

* Thu Aug 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.6-3mamba
- rebuilt with libgsf 1.14.23

* Thu Dec 16 2010 Automatic Build System <autodist@mambasoft.it> 2.8.6-2mamba
- automatic rebuild by autodist

* Mon Jun 14 2010 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic update to 2.8.6 by autodist

* Mon May 31 2010 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic update to 2.8.5 by autodist

* Thu Apr 15 2010 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic update to 2.8.4 by autodist

* Sat Apr 03 2010 Automatic Build System <autodist@mambasoft.it> 2.8.3-1mamba
- automatic update to 2.8.3 by autodist

* Sat Feb 13 2010 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic update to 2.8.2 by autodist

* Sat Oct 31 2009 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- update to 2.8.1

* Fri May 08 2009 Automatic Build System <autodist@mambasoft.it> 2.6.8-2mamba
- automatic rebuild by autodist

* Tue Mar 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.8-1mamba
- automatic update to 2.6.8 by autodist

* Sun Mar 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.7-1mamba
- automatic update to 2.6.7 by autodist

* Tue Jan 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.6-2mamba
- rebuilt against libwv 1.2.4

* Sun Jan 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.6-1mamba
- automatic update to 2.6.6 by autodist

* Tue Nov 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.5-1mamba
- automatic update to 2.6.5 by autodist

* Mon Jul 21 2008 gil <puntogil@libero.it> 2.6.4-1mamba
- update to 2.6.4

* Mon Jun 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.3-1mamba
- update to 2.6.3

* Wed Mar 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0
- updated package maintainer

* Mon Nov 06 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.6-1qilnx
- update to version 2.4.6 by autospec

* Tue Jul 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.5-2qilnx
- updated post and postun scripts

* Sun Jul 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.5-1qilnx
- update to version 2.4.5 by autospec
- executes gdk-pixbuf-query-loaders in %%post and %%postun scripts

* Thu Apr 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.4-1qilnx
- update to version 2.4.4 by autospec

* Wed Feb 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.4.2-1qilnx
- new desktop file stolen from kappfinder archive
- own %{_libdir}/AbiWord-%{majversion} directory
- cleanups and fixes on specfile
- added some missing build requirements
- plugins moved to main package and devel package removed

* Tue Nov 22 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.4.1-1qilnx
- update to version 2.4.1 by autospec.
- CAN-2005-2972: Fix several stack-based buffer overflows in the RTF importer

* Tue Oct 04 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.4.0-1qilnx
- update to version 2.4.0 by autospec

* Wed Aug 10 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.2.8-3qilnx
- changed the system menu entry from %{_datadir}/applnk/Utilites to 
  %{_datadir}/applnk/Applications

* Wed Aug 10 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.2.8-2qilnx
- removed %%post and %%postun entries.

* Wed Jul 27 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.2.8-1qilnx
- package created by autospec
